Skip to main content
GET
List person shareables

Authorizations

Authorization
string
header
required

Path Parameters

person_id
string
required

The Extole unique profile identifier of this user at Extole.

Query Parameters

labels
string[]

Optional label filter. Will include shareables that match at least one of the labels.

data_keys
string[]

Optional data keys filter. Will include shareables that match at least one of the data keys.

data_values
string[]

Optional filter for existence of specific data values. Will include shareables that have at least one of the specified data name-value pair. Valid format is name:value.

offset
integer<int32>
default:0

Optional offset filter, defaults to 0.

limit
integer<int32>
default:100

Optional limit filter, defaults to 100.

Response

Successful response

code
string
required

Unique shareable code used to generate this person's referral link.

content
object
required

Rendered content (subject, message, etc.) for this shareable. Absent if no content template is configured.

created_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

data
object
required

Named data parameters attached to this shareable.

key
string
required

Key identifying the shareable template or program slot.

label
string
required

Human-readable label for this shareable. Absent if no label was set.

Full referral link URL for this shareable.

updated_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"